/*
 * $Id: Parameter_affectation_toXML.cpp 88 2008-12-10 18:31:39Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Configuration/include/Parameter_affectation.h"

namespace morpheo {
namespace behavioural {
namespace configuration {

#undef  FUNCTION
#define FUNCTION "Parameter_affectation::toXML"
  XML Parameter_affectation::toXML (void)
  {
    XML xml (_name);
    
    xml.singleton_begin("parameter");
    xml.  attribut("name" ,_name );
    xml.  attribut("value",_value);
    xml.singleton_end();

    return xml;
  }

}; // end namespace configuration
}; // end namespace behavioural
}; // end namespace morpheo              
